Support » Plugin: WP Offload S3 Lite » Conflict with Rackspace SDK

  • streamworksaudio

    (@streamworksaudio)



    Hi guys,

    Just updated your WP Offload S3 Lite plugin today, and I think there may be a conflict with some code that is used in the our Rackspace Cloud SDK scripts.

    Our script uses this code….

    require ABSPATH . 'vendor/autoload.php';
    use OpenCloud\Rackspace;
    use OpenCloud\ObjectStore\Constants\UrlType;
    $client = new Rackspace(Rackspace::US_IDENTITY_ENDPOINT, array(
        'username' => '******',
        'apiKey'   => '******'
    ));

    This is used to setup the OpenCloud SDK and it creates a 500 error. I A/B tested this by removing that block (which results in no error).

    Thoughts?

Viewing 6 replies - 1 through 6 (of 6 total)
  • ianmjones

    (@ianmjones)

    We’ve just released WP Offload S3 Lite 1.3.2 to fix this bug, please let us know whether it works for you.

    streamworksaudio

    (@streamworksaudio)

    That has seemed to fix it. I will let you know if I see any further issues.

    Thanks

    streamworksaudio

    (@streamworksaudio)

    Sorry, just a question… so we can deactivate the Amazon Web Services plugin now? It says that it is no longer required for WP Offload S3 Lite

    Cheers

    Matt Shaw

    (@mattshaw)

    Yep, you can deactivate/remove the Amazon Web Services with this version.

    streamworksaudio

    (@streamworksaudio)

    Thanks Matt,

    I have the AWS access keys set in the wp-config.php file, do I have to move them to the database or anything first?

    Nope, keys are fine to stay in the wp-config.php file as is.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Conflict with Rackspace SDK’ is closed to new replies.